//JFrog Mission-Control MongoDB Bootstrap

//Creating default admin user
var adminUser = {
    user: "__ADMIN_USER__",
    pwd: "__ADMIN_USER_PWD__"

};
if ("__EMPTY_DB__" === "yes") {
    adminUser.roles = ["root"];
    adminUser.customData = {
        createdBy: "JFrog Mission-Control installer"
    };
    db.getSiblingDB(adminUser.user).auth(adminUser.user, adminUser.pwd) || db.getSiblingDB(adminUser.user).createUser(adminUser);
}

//Creating default mc user
var jfmcUser = {
    user: "mission_platform",
    pwd: "password",
    roles: ["dbOwner"],
    customData: {
        createdBy: "JFrog Mission-Control installer"
    }
};
//Creating default core user
var jiUser = {
    user: "jfrog_insight",
    pwd: "password",
    roles: ["dbOwner"],
    customData: {
        createdBy: "JFrog Mission-Control installer"
    }
};
//Authenticating as admin to create mc user
var loginOutput = db.getSiblingDB(adminUser.user).auth(adminUser.user, adminUser.pwd);

// Check if user exists before creation
function createUserDB(dbName, dbUser) {
    db.getSiblingDB(dbName).getUser(dbUser.user) || db.getSiblingDB(dbName).createUser(dbUser);
}

createUserDB("mission_platform", jfmcUser);
createUserDB("insight_scheduler", jiUser)